using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Text;
using System.Windows.Forms;

namespace ListView_CS
{
    public partial class Form1 : Form
    {
        public Form1()
        {
            InitializeComponent();
            #if DEBUG
                MinimizeBox = false;
            #else       
                MinimizeBox = true;
            #endif
        }

        private void Form1_Load(object sender, EventArgs e)
        {
            // Устанавливаем нужный вид
            listView1.View = View.Details;
            // Выделяем всю строку при выделении любого элемента
            listView1.FullRowSelect = true;
            
            ColumnHeader columnHeader1 = new ColumnHeader();
            ColumnHeader columnHeader2 = new ColumnHeader();
            ColumnHeader columnHeader3 = new ColumnHeader();

            columnHeader1.Text = "Фамилия";
            columnHeader2.Text = "Имя";
            columnHeader3.Text = "E-mail";

            listView1.Columns.Add(columnHeader1);
            listView1.Columns.Add(columnHeader2);
            listView1.Columns.Add(columnHeader3);

            ListViewItem Contact1 = new ListViewItem("Иванов");
            Contact1.SubItems.Add("Иван");
            Contact1.SubItems.Add("ivan@ivanov.ru");

            ListViewItem Contact2 = new ListViewItem("Петров");
            Contact2.SubItems.Add("Петр");
            Contact2.SubItems.Add("peter@petrov.ru");

            ListViewItem Contact3 = new ListViewItem("Сидоров");
            Contact3.SubItems.Add("Арнольд");
            Contact3.SubItems.Add("goat@sidorov.ru");
            
            listView1.Items.Add(Contact1);
            listView1.Items.Add(Contact2);
            listView1.Items.Add(Contact3);
         }
    }
}